> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gomry.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Attendee

> Retrieve details of a single attendee

# Get Attendee

Returns the details of a single attendee (ticket) for an event.

## Path Parameters

<ParamField path="eventId" type="string" required>
  The unique identifier of the event.
</ParamField>

<ParamField path="attendeeId" type="string" required>
  The unique identifier of the attendee (ticket document ID).
</ParamField>

## Response

<ResponseField name="data" type="object">
  <Expandable title="Attendee object">
    <ResponseField name="id" type="string">Unique ticket identifier</ResponseField>
    <ResponseField name="status" type="string | null">Ticket status</ResponseField>
    <ResponseField name="ticket_class_id" type="string | null">ID of the ticket class (product)</ResponseField>
    <ResponseField name="ticket_class_name" type="string | null">Name of the ticket class</ResponseField>
    <ResponseField name="barcode" type="string | null">Ticket barcode</ResponseField>
    <ResponseField name="first_name" type="string | null">Attendee first name</ResponseField>
    <ResponseField name="last_name" type="string | null">Attendee last name</ResponseField>
    <ResponseField name="email" type="string | null">Attendee email address</ResponseField>
    <ResponseField name="checked_in_at" type="string | null">ISO 8601 check-in timestamp</ResponseField>
    <ResponseField name="created_at" type="string | null">ISO 8601 registration timestamp</ResponseField>
    <ResponseField name="updated_at" type="string | null">ISO 8601 last-updated timestamp</ResponseField>
  </Expandable>
</ResponseField>

<RequestExample>
  ```bash cURL theme={null}
  curl -H "X-API-KEY: your_api_key" \
    https://www.gomry.com/api/v1/events/AbCdEfGhIjKlMnOpQrSt/attendees/ticket_001
  ```

  ```javascript JavaScript theme={null}
  const response = await fetch(
    "https://www.gomry.com/api/v1/events/AbCdEfGhIjKlMnOpQrSt/attendees/ticket_001",
    { headers: { "X-API-KEY": "your_api_key" } }
  );
  const { data } = await response.json();
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "data": {
      "id": "ticket_001",
      "status": "valid",
      "ticket_class_id": "prod_general",
      "ticket_class_name": "General Admission",
      "barcode": "GOMRY-A1B2C3",
      "first_name": "Jane",
      "last_name": "Doe",
      "email": "jane@example.com",
      "checked_in_at": null,
      "created_at": "2025-06-01T12:00:00.000Z",
      "updated_at": "2025-06-01T12:00:00.000Z"
    }
  }
  ```

  ```json 404 theme={null}
  {
    "error": "Attendee not found"
  }
  ```
</ResponseExample>
